# Working with Zoë

{% hint style="info" %}
**This page has moved.** The canonical homes for steering-Zoë guidance are now:

* [Context Surfaces](/core-concepts/context-surfaces.md) — where to put descriptions, `zoe_description`, synonyms, `searchable`, Skills, and the system prompt.
* [Fixing Zoë's Mistakes](/core-concepts/fixing-zoes-mistakes.md) — a diagnostic router from an observed error to the minimal context addition that fixes it.
  {% endhint %}

For per-topic references, see the rest of the Tips & Tricks section:

* [How to Steer Zoë's Answers](/tips-and-tricks/zoe_context_ingestion.md)
* [Naming Conventions](/tips-and-tricks/naming-conventions.md)
* [Descriptions and Synonyms](/tips-and-tricks/descriptions-and-synonyms.md)
* [Entity Drills](/tips-and-tricks/entity-drills.md)
* [Time Metrics](/tips-and-tricks/time-metrics.md)
* [Voice Commands](/tips-and-tricks/voice-commands.md)
* [Data Indexing](/tips-and-tricks/data-indexing.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zenlytic.com/tips-and-tricks/zoe_tips_and_tricks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
